com.thinkaurelius.titan.graphdb.fulgora

## Class FulgoraVertex<S>

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.vertices.AbstractVertex
    - - com.thinkaurelius.titan.graphdb.vertices.StandardVertex
      - - com.thinkaurelius.titan.graphdb.vertices.CacheVertex
        - - com.thinkaurelius.titan.graphdb.fulgora.FulgoraVertex<S>

- All Implemented Interfaces:
    Idfiable, TitanElement, TitanVertex, InternalElement, InternalVertex, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex, Comparable<TitanElement>

      public class FulgoraVertex<S>
      extends CacheVertex

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addRelation(InternalRelation e)` Add a new relation to the vertex
    `protected void` | `addToQueryCache(SliceQuery query, EntryList entries)`
    `List<InternalRelation>` | `getAddedRelations(com.google.common.base.Predicate<InternalRelation> query)` Returns an iterable over all newly added relations incident on this vertex that match the given predicate
    `byte` | `getLifeCycle()`
    `<A> A` | `getProperty(PropertyKey key)` Retrieves the value associated with the given key on this vertex and casts it to the specified type.
    `<A> A` | `getProperty(String key)` Retrieves the value associated with the given key on this vertex and casts it to the specified type.
    `VertexLabel` | `getVertexLabel()` Special handling to provide access to the label even though its a different vertex by accessing it directly in the enclosing transaction which will cache all vertex labels
    `boolean` | `hasAddedRelations()` Whether this vertex has added relations
    `boolean` | `hasLoadedRelations(SliceQuery query)` Returns true if the results for the given query have already been loaded for this vertex and are locally cached.
    `boolean` | `hasRemovedRelations()` Whether this vertex has removed relations
    `VertexCentricQueryBuilder` | `query()` Starts a new `TitanVertexQuery` for this vertex.
    `void` | `removeRelation(InternalRelation e)` Deleted relation e from the adjacency list of this vertex and updates the state of the vertex to reflect the modification.

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.CacheVertex

      `loadRelations`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.StandardVertex

      `remove, updateLifeCycle`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.AbstractVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, getCompareId, getEdgeCount, getEdges, getEdges, getId, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabelInternal, getVertices, isConnected, isModified, it, removeProperty, removeProperty, setProperty, setProperty, toString, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getLongId, hashCode, hasId, isHidden, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `isHidden, setId`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getLongId, hasId, isLoaded, isNew, isRemoved`

- - ### Method Detail

    - #### getProperty

          public <A> A getProperty(String key)

      Description copied from interface: `TitanElement`
      Retrieves the value associated with the given key on this vertex and casts it to the specified type. If the key has cardinality SINGLE, then there can be at most one value and this value is returned (or null). Otherwise a list of all associated values is returned, or an empty list if non exist.

      Specified by:
        `getProperty` in interface `TitanElement`
      Specified by:
        `getProperty` in interface `com.tinkerpop.blueprints.Element`
      Overrides:
        `getProperty` in class `AbstractVertex`
      Parameters:
        `key` - string identifying a key
      Returns:
        value or list of values associated with key

    - #### getProperty

          public <A> A getProperty(PropertyKey key)

      Description copied from interface: `TitanElement`
      Retrieves the value associated with the given key on this vertex and casts it to the specified type. If the key has cardinality SINGLE, then there can be at most one value and this value is returned (or null). Otherwise a list of all associated values is returned, or an empty list if non exist.

      Specified by:
        `getProperty` in interface `TitanElement`
      Overrides:
        `getProperty` in class `AbstractVertex`
      Parameters:
        `key` - key
      Returns:
        value or list of values associated with key

    - #### addToQueryCache

          protected void addToQueryCache(SliceQuery query,
                             EntryList entries)

      Overrides:
        `addToQueryCache` in class `CacheVertex`

    - #### query

          public VertexCentricQueryBuilder query()

      Description copied from interface: `TitanVertex`
      Starts a new `TitanVertexQuery` for this vertex.

      Initializes and returns a new `TitanVertexQuery` based on this vertex.
      Specified by:
        `query` in interface `TitanVertex`
      Specified by:
        `query` in interface `InternalVertex`
      Specified by:
        `query` in interface `com.tinkerpop.blueprints.Vertex`
      Overrides:
        `query` in class `AbstractVertex`
      Returns:
        New TitanQuery for this vertex
      See Also:
        `TitanVertexQuery`

    - #### getVertexLabel

          public VertexLabel getVertexLabel()

      Special handling to provide access to the label even though its a different vertex by accessing it directly in the enclosing transaction which will cache all vertex labels
      Specified by:
        `getVertexLabel` in interface `TitanVertex`
      Overrides:
        `getVertexLabel` in class `AbstractVertex`
      Returns:

    - #### getAddedRelations

          public List<InternalRelation> getAddedRelations(com.google.common.base.Predicate<InternalRelation> query)

      Description copied from interface: `InternalVertex`
      Returns an iterable over all newly added relations incident on this vertex that match the given predicate
      Specified by:
        `getAddedRelations` in interface `InternalVertex`
      Overrides:
        `getAddedRelations` in class `StandardVertex`
      Returns:

    - #### hasLoadedRelations

          public boolean hasLoadedRelations(SliceQuery query)

      Description copied from interface: `InternalVertex`
      Returns true if the results for the given query have already been loaded for this vertex and are locally cached.
      Specified by:
        `hasLoadedRelations` in interface `InternalVertex`
      Overrides:
        `hasLoadedRelations` in class `CacheVertex`
      Returns:

    - #### hasRemovedRelations

          public boolean hasRemovedRelations()

      Description copied from interface: `InternalVertex`
      Whether this vertex has removed relations
      Specified by:
        `hasRemovedRelations` in interface `InternalVertex`
      Overrides:
        `hasRemovedRelations` in class `StandardVertex`
      Returns:

    - #### hasAddedRelations

          public boolean hasAddedRelations()

      Description copied from interface: `InternalVertex`
      Whether this vertex has added relations
      Specified by:
        `hasAddedRelations` in interface `InternalVertex`
      Overrides:
        `hasAddedRelations` in class `StandardVertex`
      Returns:

    - #### getLifeCycle

          public byte getLifeCycle()

      Specified by:
        `getLifeCycle` in interface `InternalElement`
      Overrides:
        `getLifeCycle` in class `StandardVertex`
      Returns:
        The lifecycle of this element
      See Also:
        `ElementLifeCycle`

    - #### removeRelation

          public void removeRelation(InternalRelation e)

      Description copied from interface: `InternalVertex`
      Deleted relation e from the adjacency list of this vertex and updates the state of the vertex to reflect the modification. Note that this method tolerates the prior removal of the vertex and hence does not throw an exception if the relation could not actually be removed from the adjacency list. This behavior was chosen to allow relation deletion while iterating over the list of adjacent relations, in which case the relation deletion is taken care of by the iterator and only vertex status update needs to be executed.
      Specified by:
        `removeRelation` in interface `InternalVertex`
      Overrides:
        `removeRelation` in class `StandardVertex`
      Parameters:
        `e` - TitanRelation to be removed

    - #### addRelation

          public boolean addRelation(InternalRelation e)

      Description copied from interface: `InternalVertex`
      Add a new relation to the vertex
      Specified by:
        `addRelation` in interface `InternalVertex`
      Overrides:
        `addRelation` in class `StandardVertex`
      Returns:

Copyright © 2012–2014. All rights reserved.